#
# spec file for package perl-Time-Duration
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Time-Duration
Version:        1.200000
Release:        5.5
%define cpan_version 1.20
Provides:       perl(Time::Duration) = 1.200000
%define cpan_name Time-Duration
Summary:        Rounded or Exact English Expression of Durations
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Time-Duration/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides functions for expressing durations in rounded or exact
terms.

In the first example in the Synopsis, using duration($interval_seconds):

If the 'time() - $start_time' is 3 seconds, this prints "Runtime: *3
seconds*.". If it's 0 seconds, it's "Runtime: *0 seconds*.". If it's 1
second, it's "Runtime: *1 second*.". If it's 125 seconds, you get "Runtime:
*2 minutes and 5 seconds*.". If it's 3820 seconds (which is exactly 1h, 3m,
40s), you get it rounded to fit within two expressed units: "Runtime: *1
hour and 4 minutes*.". Using duration_exact instead would return "Runtime:
*1 hour, 3 minutes, and 40 seconds*".

In the second example in the Synopsis, using ago($interval_seconds):

If the $age is 3 seconds, this prints "_file_ was modified *3 seconds
ago*". If it's 0 seconds, it's "_file_ was modified *just now*", as a
special case. If it's 1 second, it's "from *1 second ago*". If it's 125
seconds, you get "_file_ was modified *2 minutes and 5 seconds ago*". If
it's 3820 seconds (which is exactly 1h, 3m, 40s), you get it rounded to fit
within two expressed units: "_file_ was modified *1 hour and 4 minutes
ago*". Using ago_exact instead would return "_file_ was modified *1 hour, 3
minutes, and 40 seconds ago*". And if the file's modtime is, surprisingly,
three seconds into the future, $age is -3, and you'll get the equally and
appropriately surprising "_file_ was modified *3 seconds from now*."

%prep
%setup -q -n %{cpan_name}-%{cpan_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Apr 26 2015 coolo@suse.com
- updated to 1.20
  see /usr/share/doc/packages/perl-Time-Duration/Changes
* Fri Apr 24 2015 coolo@suse.com
- extend the version to 6 digits to avoid >= 1.06 not matching 1.1
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.1
  see /usr/share/doc/packages/perl-Time-Duration/ChangeLog
  2013-04-02  Avi Finkel     avi@finkel.org
  * Release 1.1 -- Adding millisecond support.
* Wed Dec 14 2011 coolo@suse.com
- license is "perl"
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Dec 14 2009 aj@suse.de
- Fix build to not run disabled tests.
* Thu Oct  4 2007 anicka@suse.cz
- update to 1.06
  * Fixing Makefile
- fix BuildRequires, move make test to %%check
* Mon Jul 24 2006 anicka@suse.cz
- update to 1.04
  * tests reorganized
* Thu Jul 13 2006 anicka@suse.cz
- update to 1.03
  * new upstream maintainer
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 20 2005 schubi@suse.de
- initial
